com.google.appengine.api.files.dev

## Class LocalFileService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.files.dev.LocalFileService

-     @ServiceProvider(value=)
      public class LocalFileService
      extends AbstractLocalRpcService

  Implementation of local file service.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFileService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppendResponse` | `append(Status status, AppendRequest request)`
    `CloseResponse` | `close(Status status, CloseRequest request)`
    `CreateResponse` | `create(Status status, CreateRequest request)`
    `GetCapabilitiesResponse` | `getCapabilities(Status status, GetCapabilitiesRequest request)`
    `java.lang.Double` | `getDefaultDeadline(boolean isOfflineRequest)`
    `GetDefaultGsBucketNameResponse` | `getDefaultGsBucketName(Status status, GetDefaultGsBucketNameRequest request)`
    `java.lang.Integer` | `getMaxApiRequestSize()`
    `java.lang.Double` | `getMaximumDeadline(boolean isOfflineRequest)`
    `java.lang.String` | `getPackage()`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `onRequestEnd(com.google.apphosting.api.ApiProxy.Environment environment)`
    `OpenResponse` | `open(Status status, OpenRequest request)`
    `ReadResponse` | `read(Status status, ReadRequest request)`
    `void` | `start()`
    `StatResponse` | `stat(Status status, StatRequest request)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalFileService

          public LocalFileService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                  java.util.Map<java.lang.String,java.lang.String> properties)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### onRequestEnd

          public void onRequestEnd(com.google.apphosting.api.ApiProxy.Environment environment)

    - #### create

          public CreateResponse create(Status status,
                              CreateRequest request)

    - #### open

          public OpenResponse open(Status status,
                          OpenRequest request)

    - #### close

          public CloseResponse close(Status status,
                            CloseRequest request)

    - #### append

          public AppendResponse append(Status status,
                              AppendRequest request)

    - #### read

          public ReadResponse read(Status status,
                          ReadRequest request)

    - #### stat

          public StatResponse stat(Status status,
                          StatRequest request)

    - #### getCapabilities

          public GetCapabilitiesResponse getCapabilities(Status status,
                                                GetCapabilitiesRequest request)

    - #### getDefaultGsBucketName

          public GetDefaultGsBucketNameResponse getDefaultGsBucketName(Status status,
                                                              GetDefaultGsBucketNameRequest request)

    - #### getDefaultDeadline

          public java.lang.Double getDefaultDeadline(boolean isOfflineRequest)

    - #### getMaximumDeadline

          public java.lang.Double getMaximumDeadline(boolean isOfflineRequest)

    - #### getMaxApiRequestSize

          public java.lang.Integer getMaxApiRequestSize()